API reference

Recurring Fee Groups API

Get list of Recurring Fee Groups

GET /api/v1/recurring-fee-group

Optional URL Query Parameters

  • name (string): The name of the recurring fee group.
  • status (string): Status or a comma-separated list of statuses.
  • pspMerchantAccountName (string): The name of the parent Adyen merchant account.

Response

{
  "status": "ok",
  "data": {
    "rows": [
      {
        "id": "IFGSG4QND3QK9",
        "name": "Recurring Standard",
        "pspMerchantAccountName": "RocketPartsECOM",
        "status": "ACTIVE",
        "createdAt": "2026-03-30T19:17:41.233Z",
        "updatedAt": "2026-03-30T19:17:41.233Z"
      }
    ],
    "pagination": {
      "pageIndex": 0,
      "pageCount": 1,
      "total": 1,
      "hasPrevPage": false,
      "hasNextPage": false
    }
  }
}
Previous
Split Configuration Groups